Name:           cgdb
Version:        0.8.0
Release:        %mkrel 3
Summary:        CGDB is a curses-based interface to the GNU Debugger (GDB)
Group:          Development/Other
License:        GPLv2
URL:            https://cgdb.github.io
Source0:        https://cgdb.me/files/%{name}-%{version}.tar.gz
Patch1:		cgdb-configure-c99.patch
BuildRequires:  flex
BuildRequires:  help2man
BuildRequires:  pkgconfig(ncurses)
BuildRequires:  readline-devel
BuildRequires:  texinfo

Requires:       gdb

%description
CGDB is a curses-based interface to the GNU Debugger (GDB).
The goal of CGDB is to be lightweight and responsive; not encumbered with
unnecessary features.
The interface is designed to deliver the familiar GDB text interface,
with a split screen showing the source as it executes.
The UI is modeled on the classic Unix text editor, vi.
Those familiar with vi should feel right at home using CGDB.

%prep
%autosetup -p1

# make autoreconf happy
echo %{version} > VERSION

%build
autoreconf -fi -Iconfig
%configure
%make_build

%install
%make_install

rm -rf %{buildroot}%{_infodir}/dir

%files
%doc AUTHORS COPYING NEWS ChangeLog
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_infodir}/%{name}.info.*


%changelog
* Sun Jun 29 2025 umeabot <umeabot> 0.8.0-3.mga10
+ Revision: 2222474
- Mageia 10 Mass Rebuild

* Sun May 05 2024 wally <wally> 0.8.0-2.mga10
+ Revision: 2062203
- add Fedora patch to fix build with gcc14
- update URL

* Fri Sep 09 2022 neoclust <neoclust> 0.8.0-1.mga9
+ Revision: 1886093
- New version 0.8.0

* Fri Mar 18 2022 umeabot <umeabot> 0.7.0-5.mga9
+ Revision: 1797775
- Mageia 9 Mass Rebuild

* Wed Aug 19 2020 ovitters <ovitters> 0.7.0-4.mga8
+ Revision: 1616027
- remove install-info scriptlets, rely on filetrigger instead (mga#27107)

* Tue Feb 18 2020 umeabot <umeabot> 0.7.0-3.mga8
+ Revision: 1542083
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sat Jan 04 2020 luigiwalser <luigiwalser> 0.7.0-2.mga8
+ Revision: 1475937
- rebuild for readline

* Fri Jan 04 2019 daviddavid <daviddavid> 0.7.0-1.mga7
+ Revision: 1349057
- new version: 0.7.0

* Sat Sep 22 2018 umeabot <umeabot> 0.6.8-3.mga7
+ Revision: 1296097
- Mageia 7 Mass Rebuild

* Tue Jan 02 2018 wally <wally> 0.6.8-2.mga7
+ Revision: 1189417
- rebuild for new readline

* Thu Nov 24 2016 anaselli <anaselli> 0.6.8-1.mga6
+ Revision: 1069764
- new version

* Sun Jan 17 2016 daviddavid <daviddavid> 0.6.7-6.mga6
+ Revision: 924885
- switch to %%configure2_5x to fix build

* Wed Oct 15 2014 umeabot <umeabot> 0.6.7-5.mga5
+ Revision: 746614
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.6.7-4.mga5
+ Revision: 678355
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.6.7-3.mga4
+ Revision: 529040
- Mageia 4 Mass Rebuild

* Tue Jul 02 2013 dams <dams> 0.6.7-2.mga4
+ Revision: 449522
- remove useless 'SOURCE1' (logo)

* Tue Jul 02 2013 dams <dams> 0.6.7-1.mga4
+ Revision: 449517
- clean specfile
- new version 0.6.7

* Fri Jan 11 2013 umeabot <umeabot> 0.6.6-2.mga3
+ Revision: 347586
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Apr 08 2012 anaselli <anaselli> 0.6.6-1.mga2
+ Revision: 229752
- imported package cgdb

